<?php
/**
 * Helpinghands Theme Customizer
 *
 * @package Helpinghands
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function helpinghands_customize_register( $wp_customize ) {	
	//Add a class for titles
    class helpinghands_Info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
			<h3 style="text-decoration: underline; color: #DA4141; text-transform: uppercase;"><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }	

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';	
	
	$wp_customize->add_setting('color_scheme',array(
			'default'	=> '#0ab663',
			'sanitize_callback'	=> 'sanitize_hex_color'
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'color_scheme',array(
			'label' => __('Color Scheme','helpinghands'),			
			 'description'	=> __('More color options in PRO Version','helpinghands'),	
			'section' => 'colors',
			'settings' => 'color_scheme'
		))
	);
	
	// Slider Section		
	$wp_customize->add_section( 'slider_section', array(
            'title' => __('Slider Settings', 'helpinghands'),
            'priority' => null,
            'description'	=> __('Featured Image Size Should be ( 1400x600 )','helpinghands'),		
        )
    );
	
	
	$wp_customize->add_setting('page-setting7',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('page-setting7',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide one:','helpinghands'),
			'section'	=> 'slider_section'
	));	
	
	$wp_customize->add_setting('page-setting8',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('page-setting8',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide two:','helpinghands'),
			'section'	=> 'slider_section'
	));	
	
	$wp_customize->add_setting('page-setting9',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('page-setting9',array(
			'type'	=> 'dropdown-pages',
			'label'	=> __('Select page for slide three:','helpinghands'),
			'section'	=> 'slider_section'
	));	// Slider Section
	
	$wp_customize->add_setting('disabled_slides',array(
				'default' => true,
				'sanitize_callback' => 'sanitize_text_field',
				'capability' => 'edit_theme_options',
	));	 
	
	$wp_customize->add_control( 'disabled_slides', array(
			   'settings' => 'disabled_slides',
			   'section'   => 'slider_section',
			   'label'     => __('Uncheck To Enable This Section','helpinghands'),
			   'type'      => 'checkbox'
	 ));//Disable Slider Section	
	
	//Social Section
	$wp_customize->add_section('social_settings',array(
			'title'	=> __('Social Settings','helpinghands'),				
			'description'	=> __('More social icon available in PRO Version','helpinghands'),		
			'priority'		=> null
	));	
	
	$wp_customize->add_setting('fb_link',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw'	
	));
	
	$wp_customize->add_control('fb_link',array(
			'label'	=> __('Add facebook link here','helpinghands'),
			'section'	=> 'social_settings',
			'setting'	=> 'fb_link'
	));	
	$wp_customize->add_setting('twitt_link',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('twitt_link',array(
			'label'	=> __('Add twitter link here','helpinghands'),
			'section'	=> 'social_settings',
			'setting'	=> 'twitt_link'
	));
	$wp_customize->add_setting('gplus_link',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('gplus_link',array(
			'label'	=> __('Add google plus link here','helpinghands'),
			'section'	=> 'social_settings',
			'setting'	=> 'gplus_link'
	));
	$wp_customize->add_setting('linked_link',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('linked_link',array(
			'label'	=> __('Add linkedin link here','helpinghands'),
			'section'	=> 'social_settings',
			'setting'	=> 'linked_link'
	));	
	
	$wp_customize->add_setting('disabled_sociallinks',array(
			'default'	=> '0',			
			'capability' => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field'
	));	 
	
	$wp_customize->add_control( 'disabled_sociallinks', array(
			   'settings' => 'disabled_sociallinks',
			   'section'   => 'social_settings',
			   'label'     => __('Uncheck To Enable This Section','helpinghands'),
			   'type'      => 'checkbox'
	 ));//Disable page boxes Section

   	
}
add_action( 'customize_register', 'helpinghands_customize_register' );

//Custom css
function helpinghands_custom_css(){
		?>
        	<style type="text/css"> 
					
					a, .blog_lists h2 a:hover,
					#sidebar ul li a:hover,									
					.sitenav ul li a:hover, .sitenav ul li.current_page_item a,					
					.logo h1 a,									
					.logo h1,					
					.design-by a:hover		
					{ color:<?php echo esc_attr( get_theme_mod('color_scheme','#0ab663')); ?>;}
					 
					
					
					#commentform input#submit:hover,
					.footer,					
					.nivo-controlNav a.active,							
					.wpcf7 input[type='submit'],					
					#sidebar .search-form input.search-submit,
					.pagination .nav-links .current, .pagination .nav-links a:hover
					{ background-color:<?php echo esc_attr( get_theme_mod('color_scheme','#0ab663')); ?>;}					
					
					
			</style> 
<?php                 
}
         
add_action('wp_head','helpinghands_custom_css');	

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function helpinghands_customize_preview_js() {
	wp_enqueue_script( 'helpinghands_customizer', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'helpinghands_customize_preview_js' );